# Uses of Class
javafx.scene.web.WebErrorEvent

Packages that use WebErrorEvent
Package
Description
javafx.scene.web
This package provides means for loading and displaying Web content.

## Uses of WebErrorEvent in javafx.scene.web

Fields in javafx.scene.web with type parameters of type WebErrorEvent
Modifier and Type
Field
Description
`static final EventType<WebErrorEvent>`
WebErrorEvent.`ANY`
Common supertype for all `WebErrorEvent` types.
`static final EventType<WebErrorEvent>`
WebErrorEvent.`USER_DATA_DIRECTORY_ALREADY_IN_USE`
This event occurs when a `WebEngine` detects that its user data directory is already in use by a `WebEngine` running in a different VM.
`static final EventType<WebErrorEvent>`
WebErrorEvent.`USER_DATA_DIRECTORY_IO_ERROR`
This event occurs when a `WebEngine` encounters an I/O error while trying to create or access the user data directory.
`static final EventType<WebErrorEvent>`
WebErrorEvent.`USER_DATA_DIRECTORY_SECURITY_ERROR`
This event occurs when a `WebEngine` encounters a security error while trying to create or access the user data directory.
Methods in javafx.scene.web that return types with arguments of type WebErrorEvent
Modifier and Type
Method
Description
`final EventHandler<WebErrorEvent>`
WebEngine.`getOnError()`
Gets the value of the `onError` property.
`final ObjectProperty<EventHandler<WebErrorEvent>>`
WebEngine.`onErrorProperty()`
The event handler called when an error occurs.
Method parameters in javafx.scene.web with type arguments of type WebErrorEvent
Modifier and Type
Method
Description
`final void`
WebEngine.`setOnError(EventHandler<WebErrorEvent> handler)`
Sets the value of the `onError` property.
Constructor parameters in javafx.scene.web with type arguments of type WebErrorEvent
Modifier
Constructor
Description
``
`WebErrorEvent(Object source, EventType<WebErrorEvent> type, String message, Throwable exception)`
Creates a new `WebErrorEvent`.